/**
 * me
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
var me = {
    codeMirror: null
};

me.resize = {
    resizeMinWidth : 10,
    resizeMinHeight : 10,
    resizeBox : function(targetId, heightMargin, widthMargine, resizeWidth)
    {
        if (!heightMargin) {
            heightMargin = 0;
        }
        if (!widthMargine) {
            widthMargine = 0;
        }

        var resizeTarget = $('#' + targetId);
        var setHeight = $(window).height() - ($('body').height() - resizeTarget.height()) - heightMargin;
        if (setHeight < me.resize.resizeMinHeight) {
            setHeight = me.resize.resizeMinHeight;
        }
        resizeTarget.height(setHeight);

        if (resizeWidth) {
            var setWidth = $(window).width() - widthMargine;
            if (setWidth < me.resize.resizeMinWidth) {
                setWidth = me.resize.resizeMinWidth;
            }
        }
        resizeTarget.width(setWidth);
    },
    resizeCodeMirror : function()
    {
        var height;
        var $cm = $('.CodeMirror');

        var height = $(window).height() - ($('body').height() - $cm.height());
        if (height < me.resize.resizeMinHeight) {
            height = me.resize.resizeMinHeight;
        }
        me.codeMirror.setSize(null, height);
    }
}

me.form = {
    unloadFlag : true,
    init : function()
    {
        window.onbeforeunload = function(){
            if (!me.form.unloadFlag) {
                return;
            }
            $.ajax({
                type: 'GET',
                async: false,
                url: '../Main/unset_form?no_flash=true&_form_id=' + $('#_form_id').val(),
                success: function(html){
                },
                error: function(XHR, textStatus, errorThrown){
                    me.error.ajaxError(XHR, textStatus, errorThrown);
                }
            });
        }
    },
    noUnload : function()
    {
        me.form.unloadFlag = false;
    }
}

me.error = {
    ajaxError : function(XHR, textStatus, errorThrown){
        var message = $(XHR.responseText).find('#message').text();
        if (message == '') {
            message = textStatus;
        }
        alert(message);
    },
    htmlError : function()
    {
        if (window.frameElement) {
            // iframe
            var message = $('#message').text();
            if (message == '') {
                message = 'error';
            }
            alert(message);
        }
    }
}
