<?php
/**
 * Template
 * @package     Template
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class Template
{
    /**
     * テンプレートID（primary key）
     * @var int
     */
    public $_id;
    /**
     * テンプレートパス
     * @var int
     */
    public $template_path;
    /**
     * テンプレートタイプ
     * @var string single / multi / pagination / archive / sub
     */
    public $template_type;
    /**
     * メインテンプレート
     * @var string
     */
    public $main_template;
    /**
     * 表示条件
     * @var string
     */
    public $cond;
    /**
     * 配信方式
     * @var string static / dynamic
     */
    public $output_method;
    /**
     * 文字コード
     * @var string
     */
    public $char_code;
    /**
     * ページNoシーケンス
     * @var string
     */
    public $page_no_seq;
    /**
     * Metagシーケンス
     * @var integer
     */
    public $metag_seq = 1;
    /**
     * アーカイブリピートID
     * @var string
     */
    public $archive_repeat_id;
    /**
     * アーカイブ開始月
     * @var string
     */
    public $archive_start_month;
    /**
     * アーカイブ開始日
     * @var string
     */
    public $archive_start_day;
    /**
     * アーカイブページプレフィックス
     * @var string
     */
    public $archive_prefix;
    /**
     * アーカイブページサフィックス
     * @var string
     */
    public $archive_suffix;
    /**
     * １ページあたりのアイテム数
     * @var string
     */
    public $per_page;
    /**
     * 備考
     * @var string
     */
    public $note;
    /**
     * 作成日時
     * @var string
     */
    public $create_date;
    /**
     * 更新日時
     * @var string
     */
    public $update_date;
}