<?php
/**
 * Template Form
 * @package     Template
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class Template_Form extends Template
{
    /** MEタグID用 */
    const METAG_PREFIX = 'me';

    /**
     * ページID
     * @var string
     */
    public $page_id;
    /**
     * ページパス
     * @var string
     */
    public $page_path;
    /**
     * テンプレートの内容
     * @var string
     */
    public $source_code;
    /**
     * Document
     * @var Metag_Template
     */
    public $document;
    /**
     * 登録オプション
     * @var string
     */
    public $ragister_option;
    /**
     * エラーメッセージ
     * @var array
     */
    public $errors;

    /**
     * MEタグID生成
     * @return string
     */
    public function get_metag_seq()
    {
        return self::METAG_PREFIX . ($this->metag_seq++);
    }
}