<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>コンテンツ - MicroEngine CMS</title>
<script>
<!--
$(document).ready(function(){
    $('#nav_content').addClass('active');
});
//-->
</script>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user', '_flash'), array('help_page'=>'content_index.html'));?>

<div class="main container">
<ul class="breadcrumb">
<li>
<a href="../Main/index">ホーム</a> <span class="divider">/</span>
</li>
<li class="active">コンテンツ</li>
</ul>

<div class="row">

<div class="span2"><a href="../Content/content_list">コンテンツ一覧</a></div>
<div class="span10">コンテンツ一覧を表示します。</div>
<hr class="span12">

<div class="span2"><a href="../Content/updated_page_list">更新ページ一覧</a></div>
<div class="span10">新規作成及び更新されたページの一覧を表示します。</div>
<hr class="span12">

<div class="span2"><a href="../Content/draft_list">下書き一覧</a></div>
<div class="span10">ページの下書き一覧を表示します。</div>
<hr class="span12">

<div class="span2"><a href="../Content/image_list">画像管理</a></div>
<div class="span10">システムに登録された画像一覧を表示します。</div>
<hr class="span12">

<div class="span2"><a href="../Content/file_list">ファイル管理</a></div>
<div class="span10">システムに登録されたファイル一覧を表示します。</div>
<hr class="span12">

    <?php if (User_Role::require_designer(false)): ?>
<div class="span2"><a href="../Template/template_list">テンプレート一覧</a></div>
<div class="span10">テンプレート一覧を表示します。</div>
<hr class="span12">
<?php endif; ?>

<?php if (User_Role::require_designer(false)): ?>
<div class="span2"><a href="../Page/write_all_pages">ページ一括書き出し</a></div>
<div class="span10">テンプレートで管理されている全ページを、一括書き出しします。</div>
<hr class="span12">
<?php endif; ?>

</div>
</div>

<?php h::render('/Common/footer.php');?>
</body>
</html>