<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>スタート - MicroEngine CMS インストーラー</title>
<link href="../../app/assets/css/me_install.css?v=<?php h::p(SCRIPT_VERSION) ?>" rel="stylesheet">
<script>
<!--
$(document).ready(function(){
    $('#navi_index').addClass('badge-important');
    me.resize.resizeBox('license_iframe', 24);
    $(window).bind('resize', function(){
        me.resize.resizeBox('license_iframe', 24);
    });
});
//-->
</script>
<meta name="robots" content="noindex,nofollow,noarchive">
</head>
<body>
<?php h::render('/Common/header_simple.php') ?>

<div class="main container">
<?php h::render('/Install/install_navi.php') ?>
<hr>
<p>MicroEngine CMS インストーラーへようこそ！</p>
<p>
下記の使用許諾契約書をご確認ください。（<a href="../Install/license" target="_blank">新規ウインドウで表示</a>）<br>
</p>

<iframe id="license_iframe" class="license_iframe" src="../Install/license"></iframe>

<p>使用許諾契約書に同意される場合は「同意する」をクリックしてインストールを開始してください。</p>
<p><a href="../Install/env_check" class="btn btn-primary">同意する</a></p>
<p>※同意されない場合は、ファイルを削除してインストールを中止して下さい。</p>
</div>

<?php h::render('/Common/footer.php') ?>
</body>
</html>