<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>ユーザー削除 - MicroEngine CMS</title>
<script>
<!--
$(document).ready(function(){
    $('#nav_system').addClass('active');
});
//-->
</script>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user', '_flash'), array('help_page'=>'user_delete.html')) ?>
<div class="main container">
<ul class="breadcrumb">
<li><a href="../Main/index">ホーム</a> <span class="divider">/</span></li>
<li><a href="../System/index">システム</a> <span class="divider">/</span></li>
<li><a href="../User/index">ユーザー管理</a> <span class="divider">/</span></li>
<li class="active">ユーザー削除</li>
</ul>

<h4>ユーザー削除</h4>

<form method="POST" action="../User/post_delete">
<table class="table">
<tbody>
<tr>
<th class="span2">ユーザー名</th>
<td><?php h::p($user->user_name) ?></td>
</tr>
<tr>
<th>表示名</th>
<td><?php h::p($user->display_name) ?></td>
</tr>
<tr>
<th>備考</th>
<td><?php h::p($user->note) ?></td>
</tr>
</tbody>
</table>

<p>このユーザーを削除しますか？</p>
<input type="button" class="btn" value="キャンセル" onclick="location.href='../User/index';return false;">
<input type="submit" class="btn btn-danger" value="削除実行">
<input type="hidden" id="_token" name="_token" value="<?php h::get_token() ?>">
<input type="hidden" id="ui" name="ui" value="<?php h::p($user->_id) ?>">
</form>
</div>

<?php h::render('/Common/footer.php') ?>
</body>
</html>