<?php
/**
 * Metag Delete
 * @package     Metag
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class Metag_Delete extends Metag
{
    /**
     * タグタイプ
     * @var string
     */
    public $node_type = 'delete';
    /**
     * 表示名
     * @var string
     */
    public $display_name = '削除 (delete)';
    /**
     * ブロック要素かどうか
     * @var boolean
     */
    public $is_block = true;
    /**
     * 対象ID
     * @var string
     */
    public $target_id;
    /**
     * 属性リスト
     * @var array
     */
    public $attr_list = array(
        'id' => 'id',
        'target_id' => 'target_id',
    );

    /**
     * タグ編集
     */
    public function set_post_data()
    {
        $mapping = $this->attr_list;
        Me_Util::post_data_to_object($this, $mapping);
    }
}