<?php
/**
 * Metag Module
 * @package     Metag
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class Metag_Module extends Metag
{
    /**
     * タグタイプ
     * @var string
     */
    public $node_type = 'module';
    /**
     * 表示名
     * @var string
     */
    public $display_name = 'モジュール (module)';
    /**
     * ブロック要素かどうか
     * @var boolean
     */
    public $is_block = true;
    /**
     * module name
     * @var string
     */
    public $module_name;
    /**
     * 属性リスト
     * @var array
     */
    public $attr_list = array(
        'id' => 'id',
        'module_name' => 'module_name',
    );

    /**
     * タグ編集
     */
    public function set_post_data()
    {
        $mapping = $this->attr_list;
        Me_Util::post_data_to_object($this, $mapping);
    }
}