<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>ログイン - MicroEngine CMS</title>
<meta name="robots" content="noindex,nofollow,noarchive">
</head>
<body>
<?php h::render('/Common/header_simple.php') ?>

<div class="hero-unit login_box">
<img src="../../app/assets/img/microengine_cms.svg" alt="MicroEngine CMS" title="MicroEngine CMS" width="320" height="42">
<div class="login_form">
<h4>ログイン</h4>
<form id="login_form" name="login_form" method="POST" action="">
<?php h::error($form->errors["MESSAGE"]) ?>
<div>ユーザー名</div>
<div>
<input type="text" id="user_name" name="user_name" maxlength="50" value="<?php h::p($form->user_name);?>">
<?php h::error($form->errors["user_name"]) ?>
</div>
<div>パスワード</div>
<div>
<input type="password" id="password" name="password" maxlength="50">
<?php h::error($form->errors["password"]) ?>
</div>
<div><input type="submit"  class="btn btn-primary" value="ログイン"></div>
</form>
</div>
</div>

<div class="footer">
MicroEngine CMS - <?php h::p(ME_COPYRIGHT) ?>
</div>
<script type="text/javascript">
<!--
document.login_form.user_name.focus();
//-->
</script>
</body>
</html>