<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>ライセンス登録 - MicroEngine CMS</title>
<script>
<!--
$(document).ready(function(){
    $('#nav_system').addClass('active');
});
//-->
</script>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user'), array('help_page'=>'license_edit.html'));?>
<div class="main container">
<ul class="breadcrumb">
<li><a href="../Main/index">ホーム</a> <span class="divider">/</span></li>
<li><a href="../System/index">システム</a> <span class="divider">/</span></li>
<li><a href="../License/index">ライセンス管理</a> <span class="divider">/</span></li>
<li class="active">ライセンス登録</li>
</ul>

<?php h::error($form->errors["MESSAGE"]) ?>
<?php h::error($form->errors["license_error"]) ?>

<form method="POST" action="../License/post">
<table class="table">
<tbody>
<tr>
<th>ライセンスID <span class="label label-important">※必須</span></th>
<td>
<input type="text" id="license_id" name="license_id" maxlength="20" value="<?php h::p($form->license_id);?>">
<?php h::error($form->errors["license_id"]) ?>
</td>
</tr>
<tr>
<th>ライセンスキー <span class="label label-important">※必須</span></th>
<td>
<input type="text" id="license_key" name="license_key" maxlength="23" value="<?php h::p($form->license_key);?>">
<?php h::error($form->errors["license_key"]) ?>
</td>
</tr>
</tbody>
</table>
<input type="button" class="btn" value="キャンセル" onclick="location.href='../License/index';return false;">
<input type="submit" class="btn btn-primary" value="登録">
<input type="hidden" id="_id" name="_id" value="<?php h::p($form->_id) ?>">
<input type="hidden" id="_token" name="_token" value="<?php h::get_token() ?>">
</form>
</div>

<?php h::render('/Common/footer.php');?>
</body>
</html>