<!DOCTYPE html>
<html lang="ja">
<head>
<?php h::render('/Common/head.php') ?>
<title>ログ閲覧 - MicroEngine CMS</title>
<script src="../../app/assets/js/me.log.js?v=<?php h::p(SCRIPT_VERSION) ?>"></script>
<script>
<!--
$(document).ready(function(){
    me.log.showLogFile();
    me.resize.resizeBox('log_viewer', 48);
    $(window).bind('resize', function(){
        me.resize.resizeBox('log_viewer', 48);
    });
    $('#nav_system').addClass('active');
});
//-->
</script>
</head>
<body>
<?php h::render('/Common/header.php', compact('login_user'), array('help_page'=>'log_viewer.html')) ?>
<div class="main container">
<ul class="breadcrumb">
<li><a href="../Main/index">ホーム</a> <span class="divider">/</span></li>
<li><a href="../System/index">システム</a> <span class="divider">/</span></li>
<li class="active">ログ閲覧</li>
</ul>

<div>
<select id="log_file" name="log_file" class="btn" onchange="me.log.showLogFile();" title="ログファイル選択">
<?php foreach($log_file_list as $log_file): ?>
<option value="<?php h::p($log_file) ?>"><?php h::p($log_file) ?></option>
<?php endforeach; ?>
</select>
<button class="btn" onclick="me.log.openNewTab();return false;" title="新規ウインドウで表示" ><i class="icon-fullscreen"></i></button>
<button type="button" class="btn" onclick="me.log.scrollTop();" title="最上部へスクロール"><i class="icon-arrow-up"></i></button>
<button type="button" class="btn" onclick="me.log.scrollBottom();" title="最下部へスクロール"><i class="icon-arrow-down"></i></button>
</div>
<iframe id="log_viewer" class="log_viewer" src="about:blank"></iframe>
<a href="../System/index" class="btn btn-small">戻る</a>
</div>
<?php h::render('/Common/footer.php') ?>
</body>
</html>